o
    ]¨Êh   ã                   @   s¤  d Z dZddlmZ ddlT ddedd	�d
fddedd�dfddedd�dfddeddd�dfddedd�dfddedd�dfdded d!d�d"fd#d$ed%d�d&fd'd$ed(d�d)fd*d+ed,d-d�d.fd*d/ed0d1d�d2fdded3d4�d5fdded6d4�d7fdded8d4�d9fdded:d4�d;fd<d+ed=d4�d>fd<d?ed@d4�dAfgaddedBdC�dDfddedEdF�dGfddedHdI�dJfgZi fdKdL„ZedMkrÐddNl	Z	dOdP„ Z
e	jdQdR� dNS dNS )Sz$Self-test suite for Crypto.Hash.HMACz$Id$é   )Údicté    )Ú*Ú 0b0b0b0b0b0b0b0b0b0b0b0b0b0b0b0bÚ4869205468657265Ú 9294727a3638bb1c13f48ef8158bfc9d)Údefaultzdefault-is-MD5)ÚMD5zRFC 2202 #1-MD5 (HMAC-MD5)Ú(0b0b0b0b0b0b0b0b0b0b0b0b0b0b0b0b0b0b0b0bÚ(b617318655057264e28bc0b6fb378c8ef146be00)ÚSHA1zRFC 2202 #1-SHA1 (HMAC-SHA1)Ú4a656665Ú87768617420646f2079612077616e7420666f72206e6f7468696e673fÚ 750c783e6ab0b503eaa86e310a5db738Ú(effcdf6ae5eb2fa2d27416d5f184df9c259a7c79)r	   r   zRFC 2202 #2 (HMAC-MD5/SHA1)Ú aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaÚdddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddÚ 56be34521d144c88dbb8c733f0e8b3f6zRFC 2202 #3-MD5 (HMAC-MD5)Ú(aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaÚ(125d7342b9ac11cd91a39af48aa17b4f63f175d3zRFC 2202 #3-SHA1 (HMAC-SHA1)Ú20102030405060708090a0b0c0d0e0f10111213141516171819ÚdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdcdÚ 697eaf0aca3a3aea3a75164746ffaa79Ú(4c9007f4026250c6bc8414f9bf50c86c2d7235dazRFC 2202 #4 (HMAC-MD5/SHA1)Ú 0c0c0c0c0c0c0c0c0c0c0c0c0c0c0c0cÚ(546573742057697468205472756e636174696f6eÚ 56461ef2342edc00f9bab995690efd4czRFC 2202 #5-MD5 (HMAC-MD5)Ú(0c0c0c0c0c0c0c0c0c0c0c0c0c0c0c0c0c0c0c0cÚ(4c1a03424b55e07fe7f27be1d58bb9324a9a5a04zRFC 2202 #5-SHA1 (HMAC-SHA1)Ú aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaÚl54657374205573696e67204c6172676572205468616e20426c6f636b2d53697a65204b6579202d2048617368204b6579204669727374Ú 6b1ab7fe4bd7bf8f0b62e6ce61b9d0cdÚ(aa4ae5e15272d00e95705637ce8a3b55ed402112zRFC 2202 #6 (HMAC-MD5/SHA1)Ú’54657374205573696e67204c6172676572205468616e20426c6f636b2d53697a65204b657920616e64204c6172676572205468616e204f6e6520426c6f636b2d53697a652044617461Ú 6f630fad67cda0ee1fb1f562db3aa53eÚ(e8e99d0f45237d786d6bbaa7965c7808bbff1a91zRFC 2202 #7 (HMAC-MD5/SHA1)zc
            b0344c61d8db38535ca8afceaf0bf12b
            881dc200c9833da726e9376c2e32cff7
        )ÚSHA256zRFC 4231 #1 (HMAC-SHA256)zc
            5bdcc146bf60754e6a042426089575c7
            5a003f089d2739839dec58b964ec3843
        zRFC 4231 #2 (HMAC-SHA256)zc
            773ea91e36800e46854db8ebd09181a7
            2959098b3ef8c122d9635514ced565fe
        zRFC 4231 #3 (HMAC-SHA256)zc
            82558a389a443c0ea4cc819899f2083a
            85f0faa3e578f8077a2e3ff46729665b
        zRFC 4231 #4 (HMAC-SHA256)Á  aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaazc
            60e431591ee0b67f0d8a26aacbf5b77f
            8e0bc6213728c5140546040f0ee37f54
        zRFC 4231 #6 (HMAC-SHA256)Á0  5468697320697320612074657374207573696e672061206c6172676572207468616e20626c6f636b2d73697a65206b657920616e642061206c6172676572207468616e20626c6f636b2d73697a6520646174612e20546865206b6579206e6565647320746f20626520686173686564206265666f7265206265696e6720757365642062792074686520484d414320616c676f726974686d2ezc
            9b09ffa71b942fcb27635fbcd5b0e944
            bfdc63644f0713938a7f51535c3a35e2
        zRFC 4231 #7 (HMAC-SHA256)Ú8a30e01098bc6dbbf45690f3a7e9e6d0f8bbea2a39e6148008fd05e44)ÚSHA224z!RFC 4634 8.4 SHA224 (HMAC-SHA224)Ú`af45d2e376484031617f78d2b58a6b1b9c7ef464f5a01b47e42ec3736322445e8e2240ca5e69e2c78b3239ecfab21649)ÚSHA384z!RFC 4634 8.4 SHA384 (HMAC-SHA384)Ú€164b7a7bfcf819e2e395fbe73b56e0a387bd64222e831fd610270cd7ea2505549758bf75c05a994a6d034f65f8f0e6fdcaeab1a34d4a6b4b636e070a38bce737)ÚSHA512z!RFC 4634 8.4 SHA512 (HMAC-SHA512)c                 C   sž   ddl m}m}m}m} ddlm} t|||d d�}zddl m}m	}m
}	 | t|||	d�¡ tt7 aW n tyG   dd l}
|
j d¡ Y nw ||dt|ƒS )	Nr   )ÚHMACr	   ÚSHAr&   r   )Úmake_mac_tests)r	   r   r&   r   )r*   r,   r.   zCSelfTest: warning: not testing HMAC-SHA224/384/512 (not available)
r/   )ÚCrypto.Hashr/   r	   r0   r&   Úcommonr1   r   r*   r,   r.   ÚupdateÚ	test_dataÚhashlib_test_dataÚImportErrorÚsysÚstderrÚwrite)Úconfigr/   r	   r   r&   r1   Úhashmodsr*   r,   r.   r8   © r=   úP/var/www/html/env/lib/python3.10/site-packages/Crypto/SelfTest/Hash/test_HMAC.pyÚ	get_testsÌ   s   þr?   Ú__main__Nc                   C   s   t  tƒ ¡S )N)ÚunittestÚ	TestSuiter?   r=   r=   r=   r>   Ú<lambda>Ü   s    rC   Úsuite)ÚdefaultTest)Ú__doc__Ú__revision__r3   r   ÚCrypto.Util.py3compatr5   r6   r?   Ú__name__rA   rD   Úmainr=   r=   r=   r>   Ú<module>   sô   ýýýÿüýýÿüýýÿûÿú
ú
ú
ú
úùö �ù üüüðý